struct periodic_data {
  int index;
  long period_us;
  int wcet_sim;
};

void *thread_code(void *arg) {
  struct periodic_data *ps = (struct periodic_data *) arg;
  int j; int a = 13, b = 17;
  struct timespec next;
  struct timespec now;

  clock_gettime(CLOCK_REALTIME, &next);
  while (1) {                                        
    timespec_add_us(&next, ps->period_us);

    clock_nanosleep(CLOCK_REALTIME, TIMER_ABSTIME,
		    &next, NULL);

    for (j=0; j<ps->wcet_sim; j++) a *= b;
  }
  return NULL;
}
