#ifndef __SYNCHPERIODIC_H__
#define __SYNCHPERIODIC_H__

class PeriodicBarrier {
 public:
  // constructor, initialize the object
  PeriodicBarrier();

  // called by the threads for initial synch,
  // returns the same arrival time for all threads
  void wait(struct timespec *arrival);

  // called by the manager thread
  void start();

 private:
  struct timespec arrival_;
  
  pthread_mutex_t m;
  pthread_cond_t c;
};

#endif
